Skip to main content
GET
/
v1
/
aibot
/
bots
Get Agent List
curl --request GET \
  --url http://{your-domain}/v1/aibot/bots \
  --header 'Authorization: Bearer <token>'
{
  "agentList": [
    {
      "name": "My Agent",
      "introduction": "Introduction",
      "AgentId": "Agent-xxx",
      "welcomeMessage": "Welcome!",
      "avatar": "http://xxx.avatar.image",
      "background": "http://xxx.background.image",
      "isNeedRecommend": false,
      "type": "text",
      "searchEnable": false
    }
  ],
  "total": 10
}

Authorizations

Authorization
string
header
required

Token corresponding to the environment ID, obtained through login authentication

Query Parameters

name
string

Agent name (fuzzy search)

introduction
string

Agent introduction (fuzzy search)

information
string

Agent information (fuzzy search name and introduction)

enable
boolean

Whether the Agent is enabled

pageSize
number

Pagination parameter, default is 10

pageNumber
number

Pagination parameter, default is 1

Response

Successfully retrieved AI Agent list

agentList
object[]
required

Agent list

total
number
required

Total number of Agents

Example:

10